# class Gem::Commands::MirrorCommand

### Public Class Methods

new ()
Source

    # File lib/rubygems/commands/mirror_command.rb, line 7
    def initialize
      super("mirror", "Mirror all gem files (requires rubygems-mirror)")
      begin
        Gem::Specification.find_by_name("rubygems-mirror").activate
      rescue Gem::LoadError
        # no-op
      end
    end

Calls superclass method `Gem::Command::new`

### Public Instance Methods

execute ()
Source

    # File lib/rubygems/commands/mirror_command.rb, line 22
    def execute
      alert_error "Install the rubygems-mirror gem for the mirror command"
    end